#include "param.h"

void lcd_writecgram(unsigned char x,unsigned char y,unsigned char nr,unsigned char textcol,unsigned char backcol); // Write CGRAM char to LCD (X: Byte, Y: Line, NR: 0-7)
void lcd_writechar (unsigned char x,unsigned char y,unsigned char c,unsigned char tcol,unsigned char bcol); // Write char to LCD (X: Byte, Y: Line, C: ASCII)
void lcd_writebyte (unsigned char x, unsigned char y, unsigned char c);                                     // Write data byte to LCD  (X: Byte, Y: Line, C: 8pixel)
void lcd_writebyteg (unsigned char x, unsigned char y, unsigned char c);                                    // Write Grayscale data byte to LCD  (X: Nibble, Y: Line, C: 4pixel)
void lcd_writebyteex (unsigned char x,unsigned char y,unsigned char c,unsigned char textcol,unsigned char backcol); // Write BW data byte to LCD, expand colors to 4bpp  (X: Byte, Y: Line, C: 8pixel)
void lcd_setpixel (unsigned short x, unsigned short y, unsigned char c);                                    // Write pixel to LCD  (X: Pixel, Y: Line, C: color)
void lcd_string(unsigned char x, unsigned char y, char *txt, unsigned char tcol, unsigned char bcol);
void lcd_line (unsigned short x1, unsigned short y1, unsigned short x2, unsigned short y2, unsigned char color);
void lcd_block (unsigned short x1, unsigned short y1, unsigned short x2, unsigned short y2, unsigned char color, unsigned char color2);
void lcd_circle(unsigned short xm, unsigned short ym, unsigned char r, unsigned char color1, unsigned char color2);
void lcd_clear(void);
void lcd_init(void);

extern unsigned char cgram[16][8];

#define ENABLE_VLCD     PORTE_0


